JPAOverriddenAnnotationReader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations.reflection
Class JPAOverriddenAnnotationReader

    java.lang.Object
      org.hibernate.cfg.annotations.reflection.JPAOverriddenAnnotationReader

All Implemented Interfaces:
  org.hibernate.annotations.common.reflection.AnnotationReader

    public class JPAOverriddenAnnotationReader

extends Object
implements org.hibernate.annotations.common.reflection.AnnotationReader

Encapsulates the overriding of Java annotations from an EJB 3.0 descriptor.

Constructor Summary
`JPAOverriddenAnnotationReader(AnnotatedElement el, XMLContext xmlContext)`

Method Summary
`static List` | `buildNamedQueries(org.dom4j.Element element, boolean isNative, XMLContext.Default defaults)`
`static SequenceGenerator` | `buildSequenceGeneratorAnnotation(org.dom4j.Element element)`
`static List<SqlResultSetMapping>` | `buildSqlResultsetMappings(org.dom4j.Element element, XMLContext.Default defaults)`
`static TableGenerator` | `buildTableGeneratorAnnotation(org.dom4j.Element element, XMLContext.Default defaults)`
`
`<T extends Annotation> T`
` | `getAnnotation(Class<T> annotationType)`
`Annotation[]` | `getAnnotations()`
`
`<T extends Annotation> boolean`
` | `isAnnotationPresent(Class<T> annotationType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAOverriddenAnnotationReader

    public JPAOverriddenAnnotationReader(AnnotatedElement el,
                                         XMLContext xmlContext)

Method Detail

### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `org.hibernate.annotations.common.reflection.AnnotationReader`

### isAnnotationPresent

    public <T extends Annotation> boolean isAnnotationPresent(Class<T> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `org.hibernate.annotations.common.reflection.AnnotationReader`

### getAnnotations

    public Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `org.hibernate.annotations.common.reflection.AnnotationReader`

### buildSqlResultsetMappings

    public static List<SqlResultSetMapping> buildSqlResultsetMappings(org.dom4j.Element element,
                                                                      XMLContext.Default defaults)

### buildNamedQueries

    public static List buildNamedQueries(org.dom4j.Element element,
                                         boolean isNative,
                                         XMLContext.Default defaults)

### buildTableGeneratorAnnotation

    public static TableGenerator buildTableGeneratorAnnotation(org.dom4j.Element element,
                                                               XMLContext.Default defaults)

### buildSequenceGeneratorAnnotation

    public static SequenceGenerator buildSequenceGeneratorAnnotation(org.dom4j.Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.